/// <reference name="MicrosoftAjax.js" />
Type.registerNamespace("Books.Publishers");

Books.Publishers.Publisher = function(name, city) {
/// <summary>
/// Klasa biznesowa reprezentująca atrybuty wydawcy.
/// </summary>
}
Books.Publishers.Publisher.prototype ={
    changeInformation: function(newName, newCity) {
        /// <summary>Aktualizuje informacje o wydawcy</summary>
        /// <param name="newName" type="String" optional="false" mayBeNull="false">
        ///   Nowa nazwa wydawcy
        /// </param>
        /// <param name="newCity" type="Float" optional="false" mayBeNull="false">
        ///   Nowe miasto wydawcy
        /// </param>
        /// <returns type="Boolean">Wartość logiczna określająca, czy operacja aktualizacji przebiegła prawidłowo</returns>
    }
}

Books.Publishers.Publisher.registerClass("Books.Publishers.Publisher");

Sys.Application.notifyScriptLoaded();

